Package org.apache.tools.ant.types.selectors

# Class PosixGroupSelector

java.lang.Object
org.apache.tools.ant.types.selectors.PosixGroupSelector

All Implemented Interfaces:
  `ResourceSelector`, `FileSelector`

public class PosixGroupSelector extends Object implements FileSelector
A selector that selects files based on their POSIX group.

Group is defined in terms of `Files.readAttributes(java.nio.file.Path, java.lang.Class<A>, java.nio.file.LinkOption...)` group attribute as provided by `PosixFileAttributes`, this means the selector will accept any file that exists and has the given group attribute.

Since:
  Ant 1.10.4

## Constructor Summary

Constructors
Constructor
Description
`PosixGroupSelector()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isSelected(File basedir, String filename, File file)`
Method that each selector will implement to create their selection behaviour.
`void`
`setFollowSymlinks(boolean followSymlinks)`
Sets the "follow symbolic links" option.
`void`
`setGroup(String group)`
Sets the group name to look for.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.tools.ant.types.selectors.FileSelector

`isSelected`

## Constructor Details

### PosixGroupSelector

public PosixGroupSelector()

## Method Details

### setGroup

public void setGroup(String group)
Sets the group name to look for.

Parameters:
  `group` - the group name

### setFollowSymlinks

public void setFollowSymlinks(boolean followSymlinks)
Sets the "follow symbolic links" option.

Parameters:
  `followSymlinks` - whether or not symbolic links should be followed.

### isSelected

public boolean isSelected(File basedir, String filename, File file)
Description copied from interface: `FileSelector`
Method that each selector will implement to create their selection behaviour. If there is a problem with the setup of a selector, it can throw a BuildException to indicate the problem.

Specified by:
  `isSelected` in interface `FileSelector`
Parameters:
  `basedir` - A java.io.File object for the base directory
  `filename` - The name of the file to check
  `file` - A File object for this filename
Returns:
  whether the file should be selected or not